package net.knarcraft.minecraftserverlauncher.server;

import java.util.Map;

public class ServerVersionContainer implements java.io.Serializable {

    private String vanillaVersion;
    private String snapshotVersion;
    private String bungeeVersion;
    private String waterfallVersion;
    private String travertineVersion;
    private Map<String, String> spongeVanillaVersions;

    public ServerVersionContainer() {

    }

    public String getVanillaVersion() {
        return this.vanillaVersion;
    }

    /**
     * Sets the vanilla server version
     *
     * @param newVersion <p>The new vanilla server version</p>
     * @return <p>This object</p>
     */
    public ServerVersionContainer setVanillaVersion(String newVersion) {
        this.vanillaVersion = newVersion;
        return this;
    }

    public String getSnapshotVersion() {
        return this.snapshotVersion;
    }

    public ServerVersionContainer setSnapshotVersion(String newVersion) {
        this.snapshotVersion = newVersion;
        return this;
    }

    public String getBungeeVersion() {
        return this.bungeeVersion;
    }

    public ServerVersionContainer setBungeeVersion(String newVersion) {
        this.bungeeVersion = newVersion;
        return this;
    }

    public String getWaterfallVersion() {
        return this.waterfallVersion;
    }

    public ServerVersionContainer setWaterfallVersion(String newVersion) {
        this.waterfallVersion = newVersion;
        return this;
    }

    public String getTravertineVersion() {
        return this.travertineVersion;
    }

    public ServerVersionContainer setTravertineVersion(String newVersion) {
        this.travertineVersion = newVersion;
        return this;
    }

    public Map<String, String> getSpongeVanillaVersions() {
        return this.spongeVanillaVersions;
    }

    public String getSpongeVanillaVersion(String versionKey) {
        return spongeVanillaVersions.get(versionKey);
    }

    public ServerVersionContainer setSpongeVanillaVersion(Map<String, String> newVersions) {
        this.spongeVanillaVersions = newVersions;
        return this;
    }

    public ServerVersionContainer setSpongeVanillaVersion(String mapKey, String newValue) {
        spongeVanillaVersions.put(mapKey, newValue);
        return this;
    }

}

